Loading...
Searching...
No Matches
IEEE assigned numbers
Infrastructure

## Enumerations

enum

lwip_ieee_eth_type {
ETHTYPE_IP = 0x0800U , ETHTYPE_ARP = 0x0806U , ETHTYPE_WOL = 0x0842U , ETHTYPE_RARP = 0x8035U ,
ETHTYPE_VLAN = 0x8100U , ETHTYPE_IPV6 = 0x86DDU , ETHTYPE_PPPOEDISC = 0x8863U , ETHTYPE_PPPOE = 0x8864U ,
ETHTYPE_JUMBO = 0x8870U , ETHTYPE_PROFINET = 0x8892U , ETHTYPE_ETHERCAT = 0x88A4U , ETHTYPE_LLDP = 0x88CCU ,
ETHTYPE_SERCOS = 0x88CDU , ETHTYPE_MRP = 0x88E3U , ETHTYPE_PTP = 0x88F7U , ETHTYPE_QINQ = 0x9100U
}

## Detailed Description

## Enumeration Type Documentation

## lwip_ieee_eth_type

enum lwip_ieee_eth_type

A list of often ethtypes (although lwIP does not use all of them).

Enumerator
ETHTYPE_IP | Internet protocol v4
ETHTYPE_ARP | Address resolution protocol
ETHTYPE_WOL | Wake on lan
ETHTYPE_RARP | RARP
ETHTYPE_VLAN | Virtual local area network
ETHTYPE_IPV6 | Internet protocol v6
ETHTYPE_PPPOEDISC | PPP Over Ethernet Discovery Stage
ETHTYPE_PPPOE | PPP Over Ethernet Session Stage
ETHTYPE_JUMBO | Jumbo Frames
ETHTYPE_PROFINET | Process field network
ETHTYPE_ETHERCAT | Ethernet for control automation technology
ETHTYPE_LLDP | Link layer discovery protocol
ETHTYPE_SERCOS | Serial real-time communication system
ETHTYPE_MRP | Media redundancy protocol
ETHTYPE_PTP | Precision time protocol
ETHTYPE_QINQ | Q-in-Q, 802.1ad